Skip to main content
POST
/
instances
/
{instance}
/
background-processes
Create background process
curl --request POST \
  --url https://cloud.laravel.com/api/instances/{instance}/background-processes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "worker",
  "processes": 5,
  "command": "php artisan my:command",
  "config": {
    "connection": "redis",
    "queue": "default,emails",
    "tries": 3,
    "backoff": 30,
    "sleep": 3,
    "rest": 0,
    "timeout": 60,
    "force": false
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "background_processes",
    "attributes": {
      "type": "worker",
      "processes": 123,
      "command": "<string>",
      "config": [
        "<unknown>"
      ],
      "strategy_type": "none",
      "strategy_threshold": 123,
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "instance": {
        "data": {
          "type": "instances",
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "instances",
      "attributes": {
        "name": "<string>",
        "type": "app",
        "size": "flex.c-1vcpu-256mb",
        "scaling_type": "none",
        "min_replicas": 123,
        "max_replicas": 123,
        "visibility_timeout": "<string>",
        "shutdown_timeout": 123,
        "uses_scheduler": true,
        "scaling_cpu_threshold_percentage": 123,
        "scaling_memory_threshold_percentage": 123,
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "environment": {
          "data": {
            "type": "environments",
            "id": "<string>"
          }
        },
        "backgroundProcesses": {
          "data": [
            {
              "type": "background_processes",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

instance
string
required

The instance identifier

Body

application/json
type
enum<string>
required
Available options:
worker,
custom
processes
integer
required
Required range: 1 <= x <= 10
command
string

Custom command to run. Required when type is 'custom'. Not applicable for 'worker' type.

Example:

"php artisan my:command"

config
object

Response

BackgroundProcessResource

data
BackgroundProcessResource · object
required
included
InstanceResource · object[]